Package: org.apache.groovy.json.internal

## [Java] Class ValueMapImpl

- org.apache.groovy.json.internal.ValueMapImpl

- All Implemented Interfaces and Traits:
    ValueMap

      public class ValueMapImpl
      extends AbstractMap
      implements ValueMap

  This map is for object serialization mainly. The idea is the final conversion of the Value objects are delayed until the last possible moment, i.e., just before injected into a bean.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `add(MapItemValue miv)`
    `` | `public Set<Entry<String, Value>>` | `entrySet()`
    `` | `public Value` | `get(Object key)`
    `` | `public boolean` | `hydrated()` * Has the map been hydrated.
    `` | `public Entry<String, Value>[]` | `items()` * Give me the items in the map without hydrating the map. * Realize that the array is likely larger than the length so array items can be null.
    `` | `public int` | `len()` * Return size w/o hydrating the map.
    `` | `public Value` | `put(String key, Value value)` Unsupported because entries are appended during parsing rather than replaced by key.
    `` | `public int` | `size()` Return the size of the map.
    `` | `public Collection<Value>` | `values()` Return a collection of values.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractMap` | `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getClass, getOrDefault, hashCode, isEmpty, keySet, merge, notify, notifyAll, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, toString, values, wait, wait, wait`

- - ### Method Detail

    - #### public void add(MapItemValue miv)

    - #### public Set<Entry<String, Value>> entrySet()

    - #### public Value get(Object key)

    - #### public boolean hydrated()

      * Has the map been hydrated.

    - #### public Entry<String, Value>[] items()

      * Give me the items in the map without hydrating the map. * Realize that the array is likely larger than the length so array items can be null.

    - #### public int len()

      * Return size w/o hydrating the map.

    - #### public Value put(String key, Value value)

      Unsupported because entries are appended during parsing rather than replaced by key.

      Parameters:
        `key` - ignored
        `value` - ignored
      Returns:
        never returns normally

    - #### public int size()

      Return the size of the map. Use the map if it has already been created.

      Returns:
        size

    - #### public Collection<Value> values()

      Return a collection of values.